ChiliProject is not maintained anymore. Please be advised that there will be no more updates.

We do not recommend that you setup new ChiliProject instances and we urge all existing users to migrate their data to a maintained system, e.g. Redmine. We will provide a migration script later. In the meantime, you can use the instructions by Christian Daehn.

« Previous - Version 12/13 (diff) - Next » - Current version
Lieven Tytgat, 2012-09-26 03:53 pm


Installation on Linux

Linux is the preferred deployment platform for ChiliProject. While we always strive to be compatible with other UNIX like systems as well as Windows, those systems are rarely used (in the case of UNIX) or not at all (in the case of Windows) by the core developers. So it might be possible that there are rare undetected bugs on these platforms.

Installation of ChiliProject usually includes the following steps:

  1. Installation of Ruby from OS packages (rpm, deb, ...) or from source via RVM
  2. Installation of Rails and other ruby packages
  3. Setting up a database (MySQL, PostgreSQL or SQLite3)
  4. Installing ChiliProject
  5. Setting up an application server. We recommend Phusion Passenger.
  6. Installing plugins, themes and other customizations

Distributions

There are various official guides on how to install ChiliProject on different distributions. If there is no guide for your operating system of choice yet, you can still refer to the general guide or perform a Google search. Currently, the installation processes is very similar to Redmine, so you could also search for Redmine installation guides and adapt them.

Debian

Operating System ChiliProject version
1.x 2.x
Debian 5.0 (Lenny) 1.x 2.x
Debian 6.0 (Squeeze) 1.x 2.x

Ubuntu

Operating System ChiliProject version
1.x 2.x 3.x
Ubuntu 10.10 (Maverick Meerkat) 1.x 2.x 3.x
Ubuntu 11.04 (Natty Narwhal) 1.x 2.x 3.x
Ubuntu 11.10 (Oneiric Ocelot) 1.x 2.x 3.x

CentOS

Operating System ChiliProject version
1.x 2.x
CentOS 5 1.x 2.x

openSUSE

Operating System ChiliProject version
1.x 2.x
openSUSE 11.3 1.x 2.x
openSUSE 12.1 1.x 2.x